## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TraceListener::TraceListenerGenerateFunctor Struct Reference

`#include <TraceListener.hpp>`

Collaboration diagram for TraceListener::TraceListenerGenerateFunctor:

[legend]
List of all members.

## Public Methods

- TraceListenerGenerateFunctor (const GenerateEvent &theEvent)
- void operator() (TraceListener *theListener) const

## Public Attributes

- const GenerateEvent& m_event

## Constructor & Destructor Documentation

TraceListener::TraceListenerGenerateFunctor::TraceListenerGenerateFunctor ( | const GenerateEvent & theEvent )

## Member Function Documentation

void TraceListener::TraceListenerGenerateFunctor::operator() ( | TraceListener * theListener ) const

## Member Data Documentation

const GenerateEvent & TraceListener::TraceListenerGenerateFunctor::m_event

The documentation for this struct was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.